Package org.jboss.resteasy.wadl.jaxb

## Class Resource

- java.lang.Object
- - org.jboss.resteasy.wadl.jaxb.Resource

-     public class Resource
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://wadl.dev.java.net/2009/02}doc" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://wadl.dev.java.net/2009/02}param" maxOccurs="unbounded" minOccurs="0"/>
               <choice maxOccurs="unbounded" minOccurs="0">
                 <element ref="{http://wadl.dev.java.net/2009/02}method"/>
                 <element ref="{http://wadl.dev.java.net/2009/02}resource"/>
               </choice>
               <any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="type" type="{http://wadl.dev.java.net/2009/02}resource_type_list" />
             <attribute name="queryType" type="{http://www.w3.org/2001/XMLSchema}string" default="application/x-www-form-urlencoded" />
             <attribute name="path" type="{http://www.w3.org/2001/XMLSchema}string" />
             <anyAttribute processContents='lax' namespace='##other'/>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<Object>` | `any` |
    `protected List<Doc>` | `doc` |
    `protected String` | `id` |
    `protected List<Object>` | `methodOrResource` |
    `protected List<Param>` | `param` |
    `protected String` | `path` |
    `protected String` | `queryType` |
    `protected List<String>` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Resource()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<Object>` | `getAny()` | Gets the value of the any property.
    `List<Doc>` | `getDoc()` | Gets the value of the doc property.
    `String` | `getId()` | Gets the value of the id property.
    `List<Object>` | `getMethodOrResource()` | Gets the value of the methodOrResource property.
    `Map<QName,​String>` | `getOtherAttributes()` | Gets a map that contains attributes that aren't bound to any typed property on this class.
    `List<Param>` | `getParam()` | Gets the value of the param property.
    `String` | `getPath()` | Gets the value of the path property.
    `String` | `getQueryType()` | Gets the value of the queryType property.
    `List<String>` | `getType()` | Gets the value of the type property.
    `void` | `setId​(String value)` | Sets the value of the id property.
    `void` | `setPath​(String value)` | Sets the value of the path property.
    `void` | `setQueryType​(String value)` | Sets the value of the queryType property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### doc

          protected List<Doc> doc

    - #### param

          protected List<Param> param

    - #### methodOrResource

          protected List<Object> methodOrResource

    - #### any

          protected List<Object> any

    - #### id

          protected String id

    - #### type

          protected List<String> type

    - #### queryType

          protected String queryType

    - #### path

          protected String path

  - ### Constructor Detail

    - #### Resource

          public Resource()

  - ### Method Detail

    - #### getDoc

          public List<Doc> getDoc()

      Gets the value of the doc property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the doc property.

      For example, to add a new item, do as follows:

              getDoc().add(newItem);

      Objects of the following type(s) are allowed in the list `Doc`

    - #### getParam

          public List<Param> getParam()

      Gets the value of the param property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the param property.

      For example, to add a new item, do as follows:

              getParam().add(newItem);

      Objects of the following type(s) are allowed in the list `Param`

    - #### getMethodOrResource

          public List<Object> getMethodOrResource()

      Gets the value of the methodOrResource property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the methodOrResource property.

      For example, to add a new item, do as follows:

              getMethodOrResource().add(newItem);

      Objects of the following type(s) are allowed in the list `Method` `Resource`

    - #### getAny

          public List<Object> getAny()

      Gets the value of the any property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

      For example, to add a new item, do as follows:

              getAny().add(newItem);

      Objects of the following type(s) are allowed in the list `Element` `Object`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId​(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public List<String> getType()

      Gets the value of the type property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the type property.

      For example, to add a new item, do as follows:

              getType().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getQueryType

          public String getQueryType()

      Gets the value of the queryType property.
      Returns:
        possible object is `String`

    - #### setQueryType

          public void setQueryType​(String value)

      Sets the value of the queryType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPath

          public String getPath()

      Gets the value of the path property.
      Returns:
        possible object is `String`

    - #### setPath

          public void setPath​(String value)

      Sets the value of the path property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOtherAttributes

          public Map<QName,​String> getOtherAttributes()

      Gets a map that contains attributes that aren't bound to any typed property on this class.

      the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

      Returns:
        always non-null